=== debian/control ===
Source: ros-one-pr2-controller-manager
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-pluginlib, ros-one-pr2-controller-interface, ros-one-pr2-description, ros-one-pr2-hardware-interface, ros-one-pr2-mechanism-diagnostics, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-realtime-tools, ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs
Homepage: http://ros.org/pr2_controller_manager
Standards-Version: 3.9.2

Package: ros-one-pr2-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-msgs, ros-one-pluginlib, ros-one-pr2-controller-interface, ros-one-pr2-description, ros-one-pr2-hardware-interface, ros-one-pr2-mechanism-diagnostics, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-realtime-tools, ros-one-robot-state-publisher, ros-one-roscpp, ros-one-rosparam, ros-one-rospy, ros-one-sensor-msgs
Description: The controller manager (CM) package provides the infrastructure to run controllers in a hard realtime loop.
