## ros-one-pr2-controller-manager 1.8.21-7noble.20251023.1116

=== debian/changelog ===
ros-one-pr2-controller-manager (1.8.21-7noble.20251023.1116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 11:16:04 +0000

ros-one-pr2-controller-manager (1.8.21-0noble) noble; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 22 Jun 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.20-0noble) noble; urgency=high

  * add missing package (robot_state_publisher) to package.xml (#339 <https://github.com/PR2/pr2_mechanism//issues/339>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 11 Apr 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.19-0noble) noble; urgency=high

  * add noetic to .travis.yml, remove indigo/lunar (#342 <https://github.com/PR2/pr2_mechanism/issues/342>)
    use '2to3-2.7 -w -fprint -fraise -fexcept -fdict .' to fix python2 to python3
  * Added missing dependencies for catkin_EXPORTED_TARGETS (#341 <https://github.com/PR2/pr2_mechanism/issues/341>)
    This fixes race conditions when compiling from scratch.
    Co-authored-by: Lasse Einig <mailto:einig@informatik.uni-hamburg.de>
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.18-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.17-0noble) noble; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * use TinyXML instead of tinyxml
  * Use Eigen3, instad of Eigen
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.15-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.14-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.13-0noble) noble; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000
